<?php


namespace Intergo\InventoryClient;


use Intergo\BaseClient\Client;
use Intergo\BaseClient\Requests\BaseRequest;
use Intergo\BaseClient\Responses\BaseResponseInterface;

class InventoryClient extends Client
{
    /**
     * @param $endpoint
     * @param $baseUrl
     * @param $params
     * @param $traceId
     * @return BaseResponseInterface
     */
    public function execute($endpoint, $baseUrl, $params, $traceId): BaseResponseInterface
    {
        $url = $baseUrl . InventoryApiHandler::getUrl($endpoint, $params);
        $request = new BaseRequest($url, $traceId);
        return $this->processRequest($request, $params, InventoryApiHandler::getMethod($endpoint));
    }
}